$color_1: black;
$color_2: white;
$color_3: #cacaca;
$background_color_1: #2199e8;
$background_color_2: #ddd;
$background_color_3: transparent;

.center {
  text-align: center;
}
.pagination-section {
  display: flex;
  justify-content: space-between;
}
.pagination {
  a {
    color: $color_1;
    float: left;
    padding: 8px 16px;
    text-decoration: none;
    transition: background-color 0.3s;
    &:hover {
      &:not(.active) {
        cursor: pointer;
        background-color: $background_color_2;
        text-decoration: underline !important;
      }
    }
  }
  a.active {
    background-color: $background_color_1;
    color: $color_2;
  }
}
.disabled {
  cursor: context-menu !important;
  color: $color_3 !important;
  background-color: $background_color_3 !important;
  text-decoration: none !important;
}

@mixin break-overflow {
  overflow: hidden;
  text-overflow: ellipsis;
}

@mixin action-flex-grow {
  flex: 0.1;
}

table thead {
  display: flex;

  th {
    flex: 1;
    @include break-overflow;
  }

  .col-action {
    @include action-flex-grow;
  }
}

table tbody tr {
  display: flex;
  td {
    flex: 1;
    @include break-overflow;
  }

  .col-action {
    @include action-flex-grow;
  }
}

.no-results {
  text-align: center;
}
